Bug 813576 - gpk-update-view stuck at 99% of CPU
gpk-update-view stuck at 99% of CPU
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-packagekit (Show other bugs)
16
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-17 18:52 EDT by Jim Cromie
Modified: 2013-02-13 09:43 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 09:43:17 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jim Cromie 2012-04-17 18:52:49 EDT
Description of problem:

after a large update (188 packages) with some issues,
update tool thrashes, ~99% cpu, for 15 min now.

29988 jimc      20   0  637m  21m  12m R 100.0  0.3  14:12.78 gpk-update-view

Dialog at completion wants me to log out, I chose close,
it wont do so, with cpu-burn as above.

The issues: 
- conflict on adobe viewer (version specific dependencies)
- failed download of google chrome packages.
I deselected them and continued                                                          


Version-Release number of selected component (if applicable):

gnome-packagekit-3.2.1-1.fc16.x86_64


How reproducible:
not very - lots of packages installed before problem seen.

Steps to Reproduce:
1.
2.
3.
  
Actual results:
hung at close/exit

Expected results:
clean exit.

Additional info:

will logout now, see if process is term'd by session end.
Comment 1 Jim Cromie 2012-04-17 19:05:10 EDT
ending session didnt kill it,
its now parented by init

jimc     29988     1 43 15:53 ?        00:28:11 gpk-update-viewer

  PID USER      PR  NI  VIRT  RES  SHR S %CPU %MEM    TIME+  COMMAND            
29988 jimc      20   0  637m  18m 9164 R 99.7  0.2  25:36.92 gpk-update-view 

kill 29988 seems to have ended it.

restarting from Menubar->Apps->system-tools,
it appears to hang: "Wating for package manager lock"

restarting from cmd-prompt, I get:


[jimc@groucho ~]$ gpk-update-viewer 
Gtk-Message: Failed to load module "pk-gtk-module"
(gpk-update-viewer:26962): PackageKit-DEBUG: notify::backend-description
(gpk-update-viewer:26962): PackageKit-DEBUG: notify::version-major
(gpk-update-viewer:26962): PackageKit-DEBUG: notify::groups
(gpk-update-viewer:26962): PackageKit-DEBUG: notify::backend-author
(gpk-update-viewer:26962): PackageKit-DEBUG: notify::backend-name
(gpk-update-viewer:26962): PackageKit-DEBUG: notify::version-micro
(gpk-update-viewer:26962): PackageKit-DEBUG: notify::roles
(gpk-update-viewer:26962): PackageKit-DEBUG: notify::mime-types
(gpk-update-viewer:26962): PackageKit-DEBUG: notify::filters
(gpk-update-viewer:26962): PackageKit-DEBUG: notify::version-minor
(gpk-update-viewer:26962): PackageKit-DEBUG: notify::network-state
(gpk-update-viewer:26962): PackageKit-DEBUG: notify::distro-id
(gpk-update-viewer:26962): PackageKit-DEBUG: role now get-updates
(gpk-update-viewer:26962): PackageKit-DEBUG: role now get-distro-upgrades
(gpk-update-viewer:26962): PackageKit-DEBUG: emit transaction-list-changed (when idle)
(gpk-update-viewer:26962): PackageKit-DEBUG: already processing request 0x1, so ignoring
(gpk-update-viewer:26962): PackageKit-DEBUG: already processing request 0x1, so ignoring
(gpk-update-viewer:26962): PackageKit-DEBUG: emit transaction-list-changed (when idle)
(gpk-update-viewer:26962): PackageKit-DEBUG: already processing request 0x2, so ignoring
Comment 2 Fedora End Of Life 2013-01-16 08:49:05 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Fedora End Of Life 2013-02-13 09:43:20 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.